## org.apache.hadoop.mapred.lib.aggregate
Class LongValueMin

    java.lang.Object
      org.apache.hadoop.mapred.lib.aggregate.LongValueMin

All Implemented Interfaces:
  ValueAggregator

    public class LongValueMin

extends Object
implements ValueAggregator

This class implements a value aggregator that maintain the minimum of a sequence of long values.

Constructor Summary
`LongValueMin()` the default constructor

Method Summary
`void` `addNextValue(long newVal)` add a value to the aggregator
`void` `addNextValue(Object val)` add a value to the aggregator
`ArrayList<String>` `getCombinerOutput()`
`String` `getReport()`
`long` `getVal()`
`void` `reset()` reset the aggregator

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LongValueMin

    public LongValueMin()

  the default constructor

Method Detail

### addNextValue

    public void addNextValue(Object val)

  add a value to the aggregator

  Specified by:
    `addNextValue` in interface `ValueAggregator`
  Parameters:
    `val` - an object whose string representation represents a long value.

### addNextValue

    public void addNextValue(long newVal)

  add a value to the aggregator

  Parameters:
    `newVal` - a long value.

### getVal

    public long getVal()

  Returns:
    the aggregated value

### getReport

    public String getReport()

  Specified by:
    `getReport` in interface `ValueAggregator`
  Returns:
    the string representation of the aggregated value

### reset

    public void reset()

  reset the aggregator

  Specified by:
    `reset` in interface `ValueAggregator`

### getCombinerOutput

    public ArrayList<String> getCombinerOutput()

  Specified by:
    `getCombinerOutput` in interface `ValueAggregator`
  Returns:
    return an array of one element. The element is a string representation of the aggregated value. The return value is expected to be used by the a combiner.

Copyright © 2009 The Apache Software Foundation